Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.container.filter
Class LoggingFilter

    java.lang.Object
      com.sun.jersey.api.container.filter.LoggingFilter

All Implemented Interfaces:
  ContainerRequestFilter, ContainerResponseFilter

    public class LoggingFilter

extends java.lang.Object
implements ContainerRequestFilter, ContainerResponseFilter

A logging filter.

The request headers, request entity, response headers and response entity will be logged. By default logging will be output to System.out.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`LoggingFilter()`
`LoggingFilter(java.io.PrintStream loggingStream)`

Method Summary
`ContainerRequest` | `filter(ContainerRequest request)` Filter the request.
`ContainerResponse` | `filter(ContainerRequest request, ContainerResponse response)` Filter the response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingFilter

    public LoggingFilter()

### LoggingFilter

    public LoggingFilter(java.io.PrintStream loggingStream)

Method Detail

### filter

    public ContainerRequest filter(ContainerRequest request)

  Description copied from interface: `ContainerRequestFilter`
  Filter the request.

  An implementation may modify the state of the request or create a new instance.

  Specified by:
    `filter` in interface `ContainerRequestFilter`
  Parameters:
    `request` - the request.
  Returns:
    the request.

### filter

    public ContainerResponse filter(ContainerRequest request,
                                    ContainerResponse response)

  Description copied from interface: `ContainerResponseFilter`
  Filter the response.

  An implementation may modify the state of the response or return a new instance.

  Specified by:
    `filter` in interface `ContainerResponseFilter`
  Parameters:
    `request` - the request.
    `response` - the response.
  Returns:
    the response.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.